/*
 * Copyright (C) 2011 Kouichi Machida (k01-dev@live.jp)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package jp.white_wing.android.appwidget.electricpowerconsumption;

import android.os.Bundle;
import android.preference.PreferenceActivity;
import android.util.Log;

/**
 * BWFbg̐ݒANeBreB񋟂܂B
 * 
 * @author Kouichi Machida
 */
public class ElectricPowerConsumptionAppWidgetPreferenceActivity extends PreferenceActivity {

	/**
	 * Õ^O\܂B
	 */
	private static final String TAG = "ElectricPowerConsumptionAppWidgetPreferenceActivity";

	/*
	 * (non-Javadoc)
	 * 
	 * @see android.preference.PreferenceActivity#onCreate(android.os.Bundle)
	 */
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		// LOG:
		Log.v(TAG, "void onCreate(Bundle)");

		this.addPreferencesFromResource(R.xml.electric_powerconsumption_appwidget_preferences);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see android.preference.PreferenceActivity#onDestroy()
	 */
	@Override
	protected void onDestroy() {
		super.onDestroy();

		// LOG:
		Log.v(TAG, "void onDestroy()");
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see android.app.Activity#onPause()
	 */
	@Override
	protected void onPause() {
		super.onPause();

		// LOG:
		Log.v(TAG, "void onPause()");
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see android.app.Activity#onResume()
	 */
	@Override
	protected void onResume() {
		super.onResume();

		// LOG:
		Log.v(TAG, "void onResume()");
	}

}
